AggregatorIterator (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.stream

## Class AggregatorIterator<I>

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.stream.AggregatorIterator<I>

- All Implemented Interfaces:
    Closeable, AutoCloseable, Iterator<I>, CloseableIterator<I>

      public class AggregatorIterator<I>
      extends Object
      implements CloseableIterator<I>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Aggregator<I,?>>` | `aggregators`
    `protected CloseableIterator<I>` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatorIterator(CloseableIterator<I> source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAggregator(Aggregator<I,?> aggregator)`
    `void` | `close()`
    `Aggregator<I,?>` | `getAggregator(String name)`
    `boolean` | `hasNext()`
    `I` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### source

          protected CloseableIterator<I> source

    - #### aggregators

          protected Map<String,Aggregator<I,?>> aggregators

  - ### Constructor Detail

    - #### AggregatorIterator

          public AggregatorIterator(CloseableIterator<I> source)

      Parameters:
        `source` -

  - ### Method Detail

    - #### addAggregator

          public void addAggregator(Aggregator<I,?> aggregator)

    - #### getAggregator

          public Aggregator<I,?> getAggregator(String name)

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<I>`

    - #### next

          public I next()

      Specified by:
        `next` in interface `Iterator<I>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<I>`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2013. All Rights Reserved.